Skip to main content
POST
/
archival
/
view
curl --request POST \
  --url https://api-{dc}.moengage.com/v1/archival/view \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'MOE-APPKEY: <moe-appkey>' \
  --data '
{
  "user_id": "USER_ID_123",
  "delivery_type": "ONE_TIME",
  "campaign_type": "General Push Campaign",
  "campaign_channel": "PUSH",
  "sent_epoch_time": 1716915262,
  "campaign_id": "CAMPAIGN_ID_XYZ",
  "event_name": "Notification Received Android",
  "platform": "ANDROID"
}
'
{
  "status": true,
  "data": {
    "message_details": {
      "message_type": "campaign",
      "message_id": "66560c2d2880326031c474a6",
      "channel": "push",
      "platform": "android",
      "delivery_type": "ONE_TIME",
      "sent_time": "Tue, 28 May 2024 22:24:22 IST",
      "message_to": "cZug38RqRd2-cF30bd2vda:APA91bGEG-OHMiWV3eHd_ohLs8V-yTgDJuQXNV32jO13or-R118OAC65MXdSx5ozYsIiL-RFan_iflQ62XVX7T2BiNqqQQfKd3FitlpbLR7nVBdkFF1yv_s8pqZux-HfThn-ojhpBIWd",
      "moe_event_id": null,
      "service": {
        "type": "FCM"
      },
      "template_info": {
        "type": "Native",
        "version": null,
        "id": "stylizedbasic"
      }
    },
    "message_content": {
      "title": "expiry in 1 hour",
      "summary": "expiry in 1 hour",
      "message": "expiry in 1 hour",
      "related_urls": [
        "https://image-staging-ap1.moengage.com/checkfcsgainmoengage/20240527083246095196HE4ELHScreenshotofUploadyourAppDiawiDevelopmentandInhouseAppsWirelessInstallationjpgcheckfcsgainmoengage.jpg"
      ]
    },
    "backup_content": {
      "title": "Stylized Android Template",
      "summary": null,
      "message": "Sample Stylized Android Template",
      "related_urls": []
    },
    "file_info": {
      "version": "v2",
      "file_name": "66560c2d2880326031c474a6_pramodseg_1716915262_push_android.json"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://moengage-crashes-in-debug-feedback.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Rate Limit

The rate limit for this endpoint is 1000 RPM.

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.

  • Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
  • Password: Use your API Key, which you can find within the Data tile.

For more information on authentication and getting your credentials, refer here.

Headers

MOE-APPKEY
string
required

This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).

Body

application/json

The request body contains the parameters required to identify and retrieve the message.

user_id
string
required

This field denotes the unique identifier of the user.

delivery_type
enum<string>
required

This field denotes the delivery type of the channel.

Available options:
ONE_TIME,
PERIODIC,
EVENT_TRIGGERED,
LOCATION_TRIGGERED,
DEVICE_TRIGGERED,
API_TRIGGERED,
BUSINESS_EVENT_TRIGGERED
campaign_type
enum<string>
required

This field denotes the campaign type.

Supported Values:

  • Push: General Push Campaign, Autotrigger Campaign, Geo-fencing Campaign, Business Event Trigger Push Campaign
  • SMS: sms, Business Event Trigger SMS Campaign
  • Email: Email Campaign, Email Triggers, Business Event Trigger Email Campaign
  • Alerts: Inform Email, Inform SMS, Inform Push
Available options:
General Push Campaign,
Autotrigger Campaign,
Geo-fencing Campaign,
Business Event Trigger Push Campaign,
sms,
Business Event Trigger SMS Campaign,
Email Campaign,
Email Triggers,
Business Event Trigger Email Campaign,
Inform Email,
Inform SMS,
Inform Push
campaign_channel
enum<string>
required

The campaign channel.

Available options:
EMAIL,
SMS,
PUSH,
FLOWS
sent_epoch_time
integer<int64>
required

The sent time of the campaign as a Unix epoch timestamp.

Example:

1716972486

campaign_id
string
required

This field denotes the campaign ID.

event_name
enum<string>
required

The name of the event (e.g., 'Email Sent', 'SMS Sent', 'Notification Sent iOS').

Available options:
Email Sent,
SMS Sent,
Notification Sent iOS,
Notification Received Android,
Notification Received Web
platform
enum<string>
required

The target platform of the campaign.

Available options:
IOS,
ANDROID,
WEB,
EMAIL,
SMS,
MWEB
event_id
string

The event ID. Required for event-triggered campaigns.

  • You must pass moe_event_id if any event attribute is present for campaigns.
  • You must pass moe_transaction_id for alerts.

Response

Success. The server successfully processed the request, but is not returning any content.

status
boolean
Example:

true

data
object